"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCalendarContext = exports.default = void 0;
var _react = require("react");
var _utils = _interopRequireDefault(require("./utils"));
var _enums = require("./enums");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CalendarContext = /*#__PURE__*/(0, _react.createContext)({
  utils: new _utils.default({
    mode: 'datetime',
    locale: 'en',
    minimumDate: null,
    maximumDate: null,
    displayFullDays: false
  }),
  calendarView: _enums.CalendarViews.day,
  selectedDate: Date.now(),
  currentDate: Date.now(),
  mode: 'datetime',
  setCalendarView: () => {},
  onSelectDate: () => {},
  onSelectMonth: () => {},
  onSelectYear: () => {},
  onChangeMonth: () => {},
  onChangeYear: () => {}
});
const useCalendarContext = () => (0, _react.useContext)(CalendarContext);
exports.useCalendarContext = useCalendarContext;
var _default = CalendarContext;
exports.default = _default;
//# sourceMappingURL=CalendarContext.js.map