"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _CalendarContext = require("../CalendarContext");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const DaySelector = () => {
  const {
    utils,
    currentDate,
    selectedDate,
    onSelectDate,
    theme
  } = (0, _CalendarContext.useCalendarContext)();
  const month = utils.getDateMonth(currentDate);
  const year = utils.getDateYear(currentDate);
  const days = (0, _react.useMemo)(() => utils.getMonthDays(currentDate),
  // eslint-disable-next-line react-hooks/exhaustive-deps
  [month, year]);
  const handleSelectDate = date => {
    const newDate = utils.getDate(date).hour(utils.getDateHour(currentDate)).minute(utils.getDateMinute(currentDate));
    onSelectDate(utils.getFormated(newDate));
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.weekDaysContainer, theme === null || theme === void 0 ? void 0 : theme.weekDaysContainerStyle]
  }, utils.getWeekdaysMin().map((item, index) => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    key: index,
    style: styles.weekDayCell
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: theme === null || theme === void 0 ? void 0 : theme.weekDaysTextStyle
  }, item)))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.daysContainer
  }, days.map((day, index) => {
    const dayContainerStyle = day && day.isCurrentMonth ? theme === null || theme === void 0 ? void 0 : theme.dayContainerStyle : {
      opacity: 0.3
    };
    const todayItemStyle = day && day.date === utils.getToday() ? {
      borderWidth: 2,
      borderColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF'
    } : null;
    const activeItemStyle = day && day.date === utils.getFormatedDate(selectedDate, 'YYYY/MM/DD') ? {
      borderColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF',
      backgroundColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF'
    } : null;
    const textStyle = day && day.date === utils.getFormatedDate(selectedDate, 'YYYY/MM/DD') ? {
      color: '#fff',
      ...(theme === null || theme === void 0 ? void 0 : theme.selectedTextStyle)
    } : day && day.date === utils.getToday() ? {
      ...(theme === null || theme === void 0 ? void 0 : theme.calendarTextStyle),
      color: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF'
    } : theme === null || theme === void 0 ? void 0 : theme.calendarTextStyle;
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      key: index,
      style: styles.dayCell
    }, day && day.disabled ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [styles.dayContainer, dayContainerStyle, todayItemStyle, activeItemStyle, styles.disabledDay]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.dayTextContainer
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: textStyle
    }, day.text))) : day ? /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: () => handleSelectDate(day.date),
      style: [styles.dayContainer, dayContainerStyle, todayItemStyle, activeItemStyle]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.dayTextContainer
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: textStyle
    }, day.text))) : null);
  })));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    paddingTop: 5
  },
  weekDaysContainer: {
    width: '100%',
    flexDirection: 'row',
    paddingBottom: 10,
    paddingTop: 5,
    marginBottom: 10,
    alignItems: 'center',
    borderBottomWidth: 1,
    borderColor: '#E5E5E5'
  },
  weekDayCell: {
    width: '14.2%',
    alignItems: 'center',
    justifyContent: 'center'
  },
  daysContainer: {
    width: '100%',
    height: '100%',
    flexWrap: 'wrap',
    flexDirection: 'row'
  },
  dayCell: {
    width: '14.2%',
    height: '14.2%'
  },
  dayContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    margin: 1.5,
    borderRadius: 100
  },
  dayTextContainer: {
    justifyContent: 'center',
    alignItems: 'center'
  },
  disabledDay: {
    opacity: 0.3
  }
});
var _default = /*#__PURE__*/(0, _react.memo)(DaySelector);
exports.default = _default;
//# sourceMappingURL=DaySelector.js.map