import { createContext, useContext } from 'react';
import calendarUtils from './utils';
import { CalendarViews } from './enums';
const CalendarContext = /*#__PURE__*/createContext({
  utils: new calendarUtils({
    mode: 'datetime',
    locale: 'en',
    minimumDate: null,
    maximumDate: null,
    displayFullDays: false
  }),
  calendarView: CalendarViews.day,
  selectedDate: Date.now(),
  currentDate: Date.now(),
  mode: 'datetime',
  setCalendarView: () => {},
  onSelectDate: () => {},
  onSelectMonth: () => {},
  onSelectYear: () => {},
  onChangeMonth: () => {},
  onChangeYear: () => {}
});
export const useCalendarContext = () => useContext(CalendarContext);
export default CalendarContext;
//# sourceMappingURL=CalendarContext.js.map